package com.mobithink.ad.sample;

import java.util.HashMap;
import java.util.Map;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

import com.mobithink.ad.sdk.MTAgent;

public class MainActivity extends Activity implements View.OnClickListener {

	private static final String TAG = "MainActivity";
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		Map<String, String> params = new HashMap<String, String>();
		params.put("pid", "140");
		params.put("aid", "16");
		MTAgent.init(params);
		Button show = (Button) findViewById(R.id.btn_show);
		show.setOnClickListener(this);
		Button intertitial = (Button) findViewById(R.id.btn_intertitial);
		intertitial.setOnClickListener(this);
		findViewById(R.id.btn_quit).setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.btn_show:
			MTAgent.showAd(this);
			break;
		case R.id.btn_intertitial:
			MTAgent.showFullScreenAd(this);
			break;
		case R.id.btn_quit:
			MTAgent.showQuitDialog(this, new MTAgent.QuitCallback() {
				
				@Override
				public void onQuit(boolean arg0) {
					Log.i(TAG, "quit?"+arg0);
				}
			});
			break;
		}
	}

}
